//
//  Directory.swift
//  DocHub
//
//  Created by Tristan Juricek on 6/25/14.
//  Copyright (c) 2014 Perforce. All rights reserved.
//

import Foundation


@objc
protocol Directory: DirectoryLike, Namable {

    // The Area that this directory is owned by. It may not be a direct 
    // descendent of the area, for that, see the parent property
    var area:Area { get }
    
    // If this directory is the "root" of the area, then this is nil
    var parent:Directory? { get }
}