//
//  LibraryToolbarItem.swift
//  DocHub
//
//  Created by Tristan Juricek on 6/24/14.
//  Copyright (c) 2014 Perforce. All rights reserved.
//

import AppKit
import Foundation

// Adds a basic "selected" state that switches between some known image types
class LibraryToolbarItem : NSToolbarItem {
    
    var selected:Bool = false {
    didSet {
        updateImage()
    }
    }
    
    init(itemIdentifier: String!) {
        super.init(itemIdentifier: itemIdentifier)
    }
    
    override var minSize: NSSize {
    didSet {
        updateImage()
    }
    }
    
    func updateImage() {
        if (minSize.height < 32) {
            if selected {
                self.image = NSImage(named: "icon-library24-blue.png")
            } else {
                self.image = NSImage(named: "icon-library24.png")
            }
        } else {
            if selected {
                self.image = NSImage(named: "icon-library-blue.png")
            } else {
                self.image = NSImage(named: "icon-library.png")
            }
        }
    }
}